***

title: update
slug: /reference/typescript/rest/fabric/cxml-scripts/update
description: Replace a cXML script resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Replace a cXML script resource. Uses PUT for full replacement.

<EndpointSchemaSnippet endpoint="PUT /api/fabric/resources/cxml_scripts/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="PUT /api/fabric/resources/cxml_scripts/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const updated = await client.fabric.cxmlScripts.update("resource-id", { display_name: "updated-name" });
console.log(`Updated: ${updated.name}`);
```